# $Revision: 1.39 $, $Date: 2011/06/28 19:50:55 $
Summary:	Validated HTML/SGML editing
Summary(pl.UTF-8):	Tryb edycji HTML/SGML
Name:		xemacs-psgml-pkg
%define 	srcname	psgml
Version:	1.45
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	c399c8fe6df74743e230f0d4b2f9abe9
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
Requires:	xemacs
Requires:	xemacs-edit-utils-pkg
Obsoletes:	psgml
Conflicts:	xemacs-sumo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PSGML is a major mode for editing SGML documents for XEmacs and Emacs.

%description -l pl.UTF-8
PSGML jest głównym trybem edycji dokumentów SGML dla XEmacsa i Emacsa.

%prep
%setup -q -c
%patch0 -p0

%build
cd man/psgml
awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc lisp/psgml/ChangeLog
%{_datadir}/xemacs-packages/etc/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-psgml-pkg.spec,v $
Revision 1.39  2011/06/28 19:50:55  marti
- up to 1.45

Revision 1.38  2008/01/24 01:23:03  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.37  2007-04-06 22:45:16  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.36  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.34  2004/12/20 19:08:58  qboosh
- killed subshell in build

Revision 1.33  2004/12/20 18:58:10  qboosh
- BR: texinfo

Revision 1.32  2004/09/19 22:09:07  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.31  2003/09/09 10:25:00  ankry
- spaces -> tab

Revision 1.30  2003/05/28 13:03:06  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:28:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/11/21 16:44:32  mis
- autoupdated to 1.35

Revision 1.27  2002/07/06 18:13:59  kloczek
- updated to 1.28 (bug fixes) and use new %doc.

Revision 1.26  2002/04/18 14:21:23  wiget
updated to 1.27

Revision 1.25  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.24  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/27 20:16:17  kloczek
- updated to 1.26 (bugfix release).

Revision 1.21  2002/01/18 02:15:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/05/11 18:51:26  mis
- autoupdated to 1.23

Revision 1.17  2001/02/28 19:02:28  mis
- updated to 1.22

Revision 1.16  2001/02/13 18:29:06  mis
- updated to 1.21

Revision 1.15  2000/11/06 07:51:10  kloczek
- updated to 1.20,
- use new rpm automation.

Revision 1.14  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.13  2000/06/10 14:07:22  klakier
- 1.16 (1.15 causes problems)

Revision 1.12  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.10  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.8  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.7  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.6  2000/02/07 22:55:43  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
